ItemEvents.modification((event) => {
  // Super Glue
  event.modify("create:super_glue", (item) => {
    item.foodProperties = (food) => {
      food.hunger(2);
      food.saturation(1);
      food.alwaysEdible(true);
      food.effect("minecraft:nausea", 900, 12, 1.0);
      food.effect("minecraft:slowness", 1200, 12, 1.0);
      food.effect("minecraft:weakness", 1200, 12, 1.0);
    };
  });

  // White Meth
  event.modify("createbb:white_stuff", (item) => {
    item.foodProperties = (food) => {
      food.hunger(2);
      food.saturation(1);
      food.alwaysEdible(true);
      food.fastToEat(true);
      food.effect("minecraft:haste", 240, 0, 1.0);
      food.effect("minecraft:speed", 320, 0, 1.0);
      food.effect("minecraft:weakness", 240, 0, 1.0);
      food.effect("minecraft:hunger", 360, 2, 1.0);
    };
  });

  // Blue Meth
  event.modify("createbb:blue_stuff", (item) => {
    item.rarity = "rare";
    item.foodProperties = (food) => {
      food.hunger(4);
      food.saturation(1);
      food.alwaysEdible(true);
      food.fastToEat(true);
      food.effect("minecraft:speed", 180, 1, 1.0);
      food.effect("minecraft:strength", 260, 1, 1.0);
      food.effect("minecraft:mining_fatigue", 200, 0, 1.0);
      food.effect("minecraft:hunger", 320, 3, 1.0);
    };
  });

  // Cyanide
  event.modify("createbb:cyanide", (item) => {
    item.foodProperties = (food) => {
      food.hunger(1);
      food.saturation(1);
      food.alwaysEdible(true);
      food.fastToEat(true);
      food.effect("minecraft:poison", 240, 254, 1.0);
      food.effect("minecraft:instant_damage", 240, 254, 1.0);
    };
  });
});
